C++ Plugins

Introduction

With the C++ Plugin capability, users may create custom contact models in C++ to be loaded at runtime.

In order for a compiled DLL to be compatible with PFC, it must be compiled using Microsoft Visual Studio 2019 16.7.5 or later. The interface also requires the use of Qt version 5.14.2, a C++ utility library. A discussion of Qt installation is given below.

References

[Stevens2000]Stevens, A. Teach Yourself C++, 6th Ed. Foster City, CA : IDG Books Worldwide, 2000.